import { IonicModule } from '@ionic/angular';
import { RouterModule } from '@angular/router';
import { NgModule,CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';

import { ShareModule } from '@share/share.module';
import { MdctrlModule } from '@widget/xm/mob-mobmdctrl/mob-mobmdctrl.module';
import { RighttoolbarModule } from '@widget/xm/mob-mdviewrighttoolbar-toolbar/mob-mdviewrighttoolbar-toolbar.module';
import {XMMobEditViewModule} from '@pages/demo/xmmob-edit-view/xmmob-edit-view.module';
import {XMMobMDViewPage} from './xmmob-mdview.page';


@NgModule({
  imports: [
    RouterModule.forChild([{ path: '', component: XMMobMDViewPage}])
  ],
  exports:[RouterModule]
})
export class XMMobMDViewRouteModule {}

@NgModule({
  imports: [
    IonicModule,
    CommonModule,
    FormsModule,
    ShareModule,
    XMMobMDViewRouteModule,
    MdctrlModule,RighttoolbarModule,
    XMMobEditViewModule,
  ],
  schemas: [CUSTOM_ELEMENTS_SCHEMA],
  declarations: [XMMobMDViewPage],
  entryComponents:[XMMobMDViewPage],
  exports:[XMMobMDViewPage]
})
export class XMMobMDViewModule {}
